html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

.main {
  display: grid;
  grid-template-columns: repeat(12, [col-start] 1fr);
  grid-template-rows: repeat(10, minmax(100px, 1fr));
  grid-gap: 12px;
}
.main div {
  background: red;
  padding: 30px;
  font-size: 30px;
}

.item1 {
  grid-column: col-start/span 4;
  grid-row: 1/4;
}

.item2 {
  grid-column: 6/span 12;
}

.item3 {
  grid-column: col-start/span 12;
  grid-row: 5/span 7;
}

@media all and (max-width: 420px) {
  .item1 {
    grid-column: col-start/span 12;
    grid-row: 1/4;
  }

  .item2 {
    grid-column: col-start/span 12;
  }

  .item3 {
    grid-column: col-start/span 12;
    grid-row: 5/span 7;
  }
}